<?php
/**
 *
 * @category        modules
 * @package         minihero
 * @author          Ruud Eisinga / Dev4me
 * @link			https://www.dev4me.com/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         0.1
 * @lastmodified    08 june 2017
 *
 */
 
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }

$get_settings = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_minihero WHERE section_id = '$section_id'");
$settings = $get_settings->fetchRow();
$title = ($settings['title']);
$text1 = nl2br($settings['text1']);
$text2 = nl2br($settings['text2']);
$height = ($settings['height']);
$style_height = $height.'px';
if($height < 101) $style_height = $height.'vh';

$basedir = WB_PATH.MEDIA_DIRECTORY.'/minihero/';
$baseurl = WB_URL.MEDIA_DIRECTORY.'/minihero/';
$imglist = '';
$image = '';
if(file_exists($basedir.'image-'.$section_id.'.jpg')) $image = $baseurl.'image-'.$section_id.'.jpg';
if(file_exists($basedir.'image-'.$section_id.'.png')) $image = $baseurl.'image-'.$section_id.'.png';

if($image) {
	echo '<div class="minihero" style="background-image: url(\''.$image.'\'); height: '.$style_height.';">'; 
	echo '<div class="minihero-overlay"></div>';
	echo '<div class="minihero-text">';
	if ($title) echo '<h1>'.$title.'</h1>';
	if ($text1) echo '<p class="pfirst">'.$text1.'</p>';
	if ($text2) echo '<p class="psecond">'.$text2.'</p>';
	echo "</div>\n"; 
	echo "</div>\n"; 
}