<?php
/**
 *
 * @category        modules
 * @package         minihero
 * @author          Ruud Eisinga / Dev4me
 * @link			https://www.dev4me.com/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         0.1
 * @lastmodified    08 june 2017
 *
 */
 
require('../../config.php');
require_once (WB_PATH.'/framework/functions.php');
require(WB_PATH.'/modules/admin.php');
$update_when_modified = true; 
set_time_limit ( 600 );
$basedir = WB_PATH.MEDIA_DIRECTORY.'/minihero/';
$message = '';

if(isset($_POST['section_id'])) {

	$title = $database->escapeString($_POST['title']);
	$text1 = $database->escapeString($_POST['text1']);
	$text2 = $database->escapeString($_POST['text2']);
	$height = (int)$_POST['height'];
	
	$query = "UPDATE ".TABLE_PREFIX."mod_minihero SET 
			`title` = '$title', 
			`text1` = '$text1', 
			`text2` = '$text2',
			`height` = '$height'
			WHERE `section_id` = '$section_id'";
	$database->query($query);	

	make_dir($basedir);
	hero_upload ( 'image-'.$section_id, $basedir, $message ) ;
	echo $message;
	
}

// Check if there is a database error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES']['SAVED'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}
$admin->print_footer();

//if(!function_exists('hero_upload')) {
	function hero_upload ($fieldname, $pathToFolder, &$message) {
		$message = '';
		if(isset($_FILES[$fieldname]['tmp_name']) AND $_FILES[$fieldname]['tmp_name'] != '') {
			$filename = $_FILES[$fieldname]['name'];
			$path_parts = pathinfo($filename);
			$fileext = strtolower($path_parts['extension']);
			$new_filename = $pathToFolder.$fieldname.'.'.$fileext;
			
			// Make sure the image is a jpg or png file
			if($fileext != "jpg") {
				$message = "Error: ".$filename. ' is invalid. Only .jpg is allowed!';
				return false;
			}

			$message = "Saving: ".$filename. '';
			move_uploaded_file($_FILES[$fieldname]['tmp_name'], $new_filename);
			change_mode($new_filename);
			if (file_exists($new_filename)) {
					return true;
			}
		}
		return false;
	}
//}

?>